Package org.apache.tools.ant

# Interface DynamicElement

All Known Subinterfaces:
  `DynamicConfigurator`

All Known Implementing Classes:
  `ScriptDefBase`, `XSLTProcess.Factory.Attribute`

public interface DynamicElement
Enables a task to control unknown elements.

Since:
  Ant 1.5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `createDynamicElement(String name)`
  Create an element with the given name

- ## Method Details

  - ### createDynamicElement

    Object createDynamicElement(String name) throws BuildException
    Create an element with the given name
    Parameters:
      `name` - the element name
    Returns:
      the element created
    Throws:
      `BuildException` - when any error occurs